[vserver] [PATCH 1/4] Move gentoo/init-vserver.sh to misc/

From: Natanael Copa <natanael.copa_at_gmail.com>
Date: Thu 19 Apr 2012 - 15:49:16 BST
Message-Id: <1334846959-25199-1-git-send-email-ncopa@alpinelinux.org>

This can be used by all openrc distros, e.g. Alpine Linux.

Signed-off-by: Natanael Copa <ncopa@alpinelinux.org>

---
 distrib/gentoo/init-vserver.sh |   31 -------------------------------
 distrib/gentoo/initpost        |    2 +-
 distrib/misc/init-vserver.sh   |   31 +++++++++++++++++++++++++++++++
 3 files changed, 32 insertions(+), 32 deletions(-)
 delete mode 100644 distrib/gentoo/init-vserver.sh
 create mode 100644 distrib/misc/init-vserver.sh
diff --git a/distrib/gentoo/init-vserver.sh b/distrib/gentoo/init-vserver.sh
deleted file mode 100644
index 856af51..0000000
--- a/distrib/gentoo/init-vserver.sh
+++ /dev/null
@@ -1,31 +0,0 @@
-#!/bin/bash
-#
-# Copyright (C) 2006 Benedikt Boehm <hollow@gentoo.org>
-#  
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; version 2 of the License.
-#  
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#  
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
-
-#
-# BIG FAT WARNING:
-#
-# Do not remove this file if you are using gentoo init style!
-# Your vserver will not boot anymore!
-#
-# You have been warned...
-
-# Force TERM=linux for baselayout-2
-
-RUNLEVEL=1 /sbin/rc sysinit || exit 1
-/sbin/rc boot || exit 1
-/sbin/rc ${1:-default}
-exit 0
diff --git a/distrib/gentoo/initpost b/distrib/gentoo/initpost
index f1d6229..662b29a 100755
--- a/distrib/gentoo/initpost
+++ b/distrib/gentoo/initpost
@@ -68,7 +68,7 @@ if test "$initstyle" == "gentoo"; then
 	$_CHROOT_SH mkdir /lib/rc 2>/dev/null || :
 	$_CHROOT_SH mkdir /lib/rc/sh 2>/dev/null || :
 
-	$_CAT "$__DISTRIBDIR"/gentoo/init-vserver.sh | \
+	$_CAT "$__DISTRIBDIR"/misc/init-vserver.sh | \
 	$_CHROOT_SH truncate   /lib/rc/sh/init-vserver.sh
 	$_CHROOT_SH chmod 0755 /lib/rc/sh/init-vserver.sh
 
diff --git a/distrib/misc/init-vserver.sh b/distrib/misc/init-vserver.sh
new file mode 100644
index 0000000..856af51
--- /dev/null
+++ b/distrib/misc/init-vserver.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+#
+# Copyright (C) 2006 Benedikt Boehm <hollow@gentoo.org>
+#  
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#  
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#  
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+
+#
+# BIG FAT WARNING:
+#
+# Do not remove this file if you are using gentoo init style!
+# Your vserver will not boot anymore!
+#
+# You have been warned...
+
+# Force TERM=linux for baselayout-2
+
+RUNLEVEL=1 /sbin/rc sysinit || exit 1
+/sbin/rc boot || exit 1
+/sbin/rc ${1:-default}
+exit 0
-- 
1.7.10
Received on Thu Apr 19 15:49:52 2012
[Next/Previous Months] [Main vserver Project Homepage] [Howto Subscribe/Unsubscribe] [Paul Sladen's vserver stuff]
Generated on Thu 19 Apr 2012 - 15:49:53 BST by hypermail 2.1.8